regression: the 4.8 hwe kernel does not create the /sys/block/*/device/enclosure_device:* symlinks

Bug #1691899 reported by andrew bezella on 2017-05-19
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Joseph Salisbury
Yakkety
High
Joseph Salisbury

Bug Description

the 4.8 kernel does not create symlinks/sys/block/*/device/enclosure_device:*. this appears to have been resolved in 4.9+

what you expected to happen:
with the ga 4.4 and hwe-edge 4.10 kernels the symlinks are created

% ls -l /sys/block/*/device/enclosure*
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdaa/device/enclosure_device:013 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/013/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdab/device/enclosure_device:015 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/015/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdac/device/enclosure_device:016 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/016/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdad/device/enclosure_device:017 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/017/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdaf/device/enclosure_device:019 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/019/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdag/device/enclosure_device:020 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/020/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdah/device/enclosure_device:021 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/021/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdai/device/enclosure_device:022 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/022/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdaj/device/enclosure_device:023 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/023/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdc/device/enclosure_device:000 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/000/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdd/device/enclosure_device:001 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/001/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sde/device/enclosure_device:002 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/002/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdf/device/enclosure_device:003 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/003/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdg/device/enclosure_device:004 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/004/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdh/device/enclosure_device:005 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/005/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdi/device/enclosure_device:006 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/006/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdj/device/enclosure_device:007 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/007/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdk/device/enclosure_device:008 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/008/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdl/device/enclosure_device:010 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/010/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdm/device/enclosure_device:011 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/011/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdn/device/enclosure_device:000 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/000/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdo/device/enclosure_device:001 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/001/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdp/device/enclosure_device:002 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/002/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdq/device/enclosure_device:003 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/003/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdr/device/enclosure_device:004 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/004/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sds/device/enclosure_device:005 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/005/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdt/device/enclosure_device:006 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/006/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdu/device/enclosure_device:007 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/007/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdv/device/enclosure_device:008 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/008/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdw/device/enclosure_device:009 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/009/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdx/device/enclosure_device:010 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/010/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdy/device/enclosure_device:011 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/011/
lrwxrwxrwx 1 root root 0 May 18 17:57 /sys/block/sdz/device/enclosure_device:012 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/012/

what happened instead:
with the 4.8 kernel nothing is found

ls -l /sys/block/*/device/enclosure*
zsh: no matches found: /sys/block/*/device/enclosure*

applying the one-line patch from https://patchwork.kernel.org/patch/9534299/ appears to resolve the problem.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-generic-hwe-16.04 4.8.0.51.22
ProcVersionSignature: Ubuntu 4.8.0-51.54~16.04.1-generic 4.8.17
Uname: Linux 4.8.0-51-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
Date: Thu May 18 17:40:24 2017
ProcEnviron:
 TERM=rxvt-unicode-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
SourcePackage: linux-meta-hwe
UpgradeStatus: No upgrade log present (probably fresh install)

andrew bezella (abezella) wrote :
tags: added: patch
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-meta-hwe (Ubuntu):
status: New → Confirmed
Changed in linux-meta-hwe (Ubuntu):
importance: Undecided → High
Changed in linux-meta-hwe (Ubuntu Yakkety):
status: New → In Progress
Changed in linux-meta-hwe (Ubuntu):
status: Confirmed → In Progress
Changed in linux-meta-hwe (Ubuntu Yakkety):
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux-meta-hwe (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I built a Yakkety test kernel with a cherry pick of commit 9373eba6cfae. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1691899/

Can you test this kernel and see if it resolves this bug?

Thanks in advance!

andrew bezella (abezella) wrote :
Download full text (5.8 KiB)

yep, looks good. thank you for the quick turnaround!

% uname -a
Linux ia805401.us.archive.org 4.8.0-52-generic #55~lp1691899 SMP Fri May 19 18:09:12 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
% ls -l /sys/block/*/device/enclosure*
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdaa/device/enclosure_device:013 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/013/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdab/device/enclosure_device:015 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/015/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdac/device/enclosure_device:016 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/016/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdad/device/enclosure_device:017 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/017/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdaf/device/enclosure_device:019 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/019/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdag/device/enclosure_device:020 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/020/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdah/device/enclosure_device:021 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/021/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdai/device/enclosure_device:022 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/022/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdaj/device/enclosure_device:023 -> ../../../../port-6:1:24/end_device-6:1:24/target6:0:35/6:0:35:0/enclosure/6:0:35:0/023/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdc/device/enclosure_device:000 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/000/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdd/device/enclosure_device:001 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/001/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sde/device/enclosure_device:002 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/002/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdf/device/enclosure_device:003 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/003/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdg/device/enclosure_device:004 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/004/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdh/device/enclosure_device:005 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/005/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdi/device/enclosure_device:006 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/006/
lrwxrwxrwx 1 root root 0 May 19 12:01 /sys/block/sdj/device/enclosure_device:007 -> ../../../../port-6:0:12/end_device-6:0:12/target6:0:11/6:0:11:0/enclosure/6:0:11:0/007/
lrwxrwxrwx 1 root root 0 May 19 12:01...

Read more...

andrew bezella (abezella) wrote :

it looks like linux-image-4.8.0-52 has already been released. do you think this fix might make it into the -53 version?

thanks again...

andrew bezella (abezella) wrote :

hi - any update on including this fix in the next release of the 4.8 series? thanks in advance...

Joseph Salisbury (jsalisbury) wrote :

Yes, I submitted an SRU request, so the fix should be in the next 4.8 based Yakkety kernel.

Juerg Haefliger (juergh) on 2017-06-09
affects: linux-meta-hwe (Ubuntu) → linux-hwe (Ubuntu)
affects: linux-hwe (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'. If the problem still exists, change the tag 'verification-needed-yakkety' to 'verification-failed-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
tags: added: verification-done-yakkety
removed: verification-needed-yakkety
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package linux - 4.8.0-58.63

---------------
linux (4.8.0-58.63) yakkety; urgency=low

  * linux: 4.8.0-58.63 -proposed tracker (LP: #1700533)

  * CVE-2017-1000364
    - Revert "UBUNTU: SAUCE: mm: Only expand stack if guard area is hit"
    - Revert "mm: do not collapse stack gap into THP"
    - Revert "mm: enlarge stack guard gap"
    - mm: vma_adjust: remove superfluous confusing update in remove_next == 1 case
    - mm: larger stack guard gap, between vmas
    - mm: fix new crash in unmapped_area_topdown()
    - Allow stack to grow up to address space limit

linux (4.8.0-57.62) yakkety; urgency=low

  * linux: 4.8.0-57.62 -proposed tracker (LP: #1699035)

  * CVE-2017-1000364
    - SAUCE: mm: Only expand stack if guard area is hit

  * CVE-2017-7374
    - fscrypt: remove broken support for detecting keyring key revocation

  * CVE-2017-100363
    - char: lp: fix possible integer overflow in lp_setup()

  * CVE-2017-9242
    - ipv6: fix out of bound writes in __ip6_append_data()

  * CVE-2017-9075
    - sctp: do not inherit ipv6_{mc|ac|fl}_list from parent

  * CVE-2017-9074
    - ipv6: Prevent overrun when parsing v6 header options

  * CVE-2017-9076
    - ipv6/dccp: do not inherit ipv6_mc_list from parent

  * CVE-2017-9077
    - ipv6/dccp: do not inherit ipv6_mc_list from parent

  * CVE-2017-8890
    - dccp/tcp: do not inherit mc_list from parent

  * extend-diff-ignore should use exact matches (LP: #1693504)
    - [Packaging] exact extend-diff-ignore matches

  * APST quirk needed for Intel NVMe (LP: #1686592)
    - nvme: Quirk APST on Intel 600P/P3100 devices

  * regression: the 4.8 hwe kernel does not create the
    /sys/block/*/device/enclosure_device:* symlinks (LP: #1691899)
    - scsi: ses: Fix SAS device detection in enclosure

  * datapath: Add missing case OVS_TUNNEL_KEY_ATTR_PAD (LP: #1676679)
    - openvswitch: Add missing case OVS_TUNNEL_KEY_ATTR_PAD

  * connection flood to port 445 on mounting cifs volume under kernel
    (LP: #1686099)
    - cifs: Do not send echoes before Negotiate is complete

  * Support IPMI system interface on Cavium ThunderX (LP: #1688132)
    - i2c: octeon: Rename driver to prepare for split
    - i2c: octeon: Split the driver into two parts
    - [Config] CONFIG_I2C_THUNDERX=m
    - i2c: thunderx: Add i2c driver for ThunderX SOC
    - i2c: thunderx: Add SMBUS alert support
    - i2c: octeon,thunderx: Move register offsets to struct
    - i2c: octeon: Sort include files alphabetically
    - i2c: octeon: Use booleon values for booleon variables
    - i2c: octeon: thunderx: Add MAINTAINERS entry
    - i2c: octeon: Fix set SCL recovery function
    - i2c: octeon: Avoid sending STOP during recovery
    - i2c: octeon: Fix high-level controller status check
    - i2c: octeon: thunderx: TWSI software reset in recovery
    - i2c: octeon: thunderx: Remove double-check after interrupt
    - i2c: octeon: thunderx: Limit register access retries
    - i2c: thunderx: Enable HWMON class probing

  * CVE-2017-5577
    - drm/vc4: Return -EINVAL on the overflow checks failing.

  * Merlin SGMII fail on Ubuntu Xenial HWE kernel (LP: #1686305)
    - net: phy: marvell: fix Marvell 88E1512 u...

Read more...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.